#ifndef SETTINGS_H
#define SETTINGS_H

#include <QString>
#include <QJsonObject>


class Settings {
public:
    explicit Settings();
    ~Settings();
    QJsonObject loadFromJson(QString &profile);
    void saveToJson(QString profile, QString RAM, QString java_path, QString garbarge_collector_method, QJsonArray additions_list);

private:
    QString getStateFilePath(QString &profile);
};

#endif
